/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Contact;
import de.srsoftware.umbrella.core.model.UmbrellaUser;
import java.util.Map;

public interface ContactService {
	Map<Long, Contact> listContactsOf(UmbrellaUser user) throws UmbrellaException;

	Contact load(long userId, long contactId);

	Contact save(Contact contact);
}
